'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _chai = require('chai');

var _buildTree = require('./build-tree');

var buildTree = _interopRequireWildcard(_buildTree);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

var fixtures = `${__dirname}/../../fixtures/precinct`;

describe('buildTree', function () {
  describe('getDependencyTree', function () {
    var dependencyTreeParams = {
      baseDir: '.',
      consumerPath: __dirname,
      filePaths: [],
      bindingPrefix: '@bit',
      resolveModulesConfig: undefined
    };
    it('when no files are passed should return an empty tree', _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
      var results;
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return buildTree.getDependencyTree(dependencyTreeParams);

            case 2:
              results = _context.sent;

              (0, _chai.expect)(results).to.deep.equal({ tree: {} });

            case 4:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    })));
    it('when unsupported files are passed should return them with no dependencies', _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
      var results;
      return _regenerator2.default.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              dependencyTreeParams.filePaths = ['a.pdf'];
              _context2.next = 3;
              return buildTree.getDependencyTree(dependencyTreeParams);

            case 3:
              results = _context2.sent;

              (0, _chai.expect)(results.tree).to.deep.equal({ 'a.pdf': {} });

            case 5:
            case 'end':
              return _context2.stop();
          }
        }
      }, _callee2, undefined);
    })));
    it('when supported and unsupported files are passed should return them all', _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee3() {
      var results;
      return _regenerator2.default.wrap(function _callee3$(_context3) {
        while (1) {
          switch (_context3.prev = _context3.next) {
            case 0:
              dependencyTreeParams.filePaths = ['a.pdf', `${fixtures}/es6.js`];
              _context3.next = 3;
              return buildTree.getDependencyTree(dependencyTreeParams);

            case 3:
              results = _context3.sent;

              (0, _chai.expect)(results.tree).to.have.property('a.pdf');
              (0, _chai.expect)(results.tree).to.have.property('fixtures/precinct/es6.js');

            case 6:
            case 'end':
              return _context3.stop();
          }
        }
      }, _callee3, undefined);
    })));
  });
});
//# sourceMappingURL=build-tree.spec.js.map